//////////////////////////////////////
//
// Graphics .H file for .WL6
// IGRAB-ed on Wed Apr 13 06:58:44 1994
//
//////////////////////////////////////

typedef enum {
    // Lump Start
    H_TOPWINDOWPIC=3,
    H_LEFTWINDOWPIC,
    H_RIGHTWINDOWPIC,
    H_BOTTOMINFOPIC,

    // Lump Start
    C_OPTIONSPIC,
    C_CURSOR1PIC,
    C_CURSOR2PIC,
    C_NOTSELECTEDPIC,
    C_SELECTEDPIC,
    C_MOUSELBACKPIC,
    C_BABYMODEPIC,
    C_EASYPIC,
    C_NORMALPIC,
    C_HARDPIC,
    C_MENUBACKDROPPIC,
    C_DISKLOADING1PIC,
    C_DISKLOADING2PIC,
    C_CONTROLPIC,
    C_CUSTOMIZEPIC,
    C_LOADGAMEPIC,
    C_SAVEGAMEPIC,

    // Lump Start
    L_GUYPIC,
    L_COLONPIC,
    L_NUM0PIC,
    L_NUM1PIC,
    L_NUM2PIC,
    L_NUM3PIC,
    L_NUM4PIC,
    L_NUM5PIC,
    L_NUM6PIC,
    L_NUM7PIC,
    L_NUM8PIC,
    L_NUM9PIC,
    L_PERCENTPIC,
    L_APIC,
    L_BPIC,
    L_CPIC,
    L_DPIC,
    L_EPIC,
    L_FPIC,
    L_GPIC,
    L_HPIC,
    L_IPIC,
    L_JPIC,
    L_KPIC,
    L_LPIC,
    L_MPIC,
    L_NPIC,
    L_OPIC,
    L_PPIC,
    L_QPIC,
    L_RPIC,
    L_SPIC,
    L_TPIC,
    L_UPIC,
    L_VPIC,
    L_WPIC,
    L_XPIC,
    L_YPIC,
    L_ZPIC,
    L_EXPOINTPIC,
    L_APOSTROPHEPIC,
    L_SLASHPIC,
    L_GUY2PIC,
    L_BJWINSPIC,
    STATUSBARPIC,
    TITLEPIC,
    PG13PIC,
    HIGHSCORESPIC,

    // Lump Start
    KEY0PIC,
    KEY1PIC,
    KEY2PIC,
    KEY3PIC,
    KEY4PIC,
    N_BLANKPIC,
    N_0PIC,
    N_1PIC,
    N_2PIC,
    N_3PIC,
    N_4PIC,
    N_5PIC,
    N_6PIC,
    N_7PIC,
    N_8PIC,
    N_9PIC,
    FACE1APIC,
    FACE1BPIC,
    FACE1CPIC,
    FACE2APIC,
    FACE2BPIC,
    FACE2CPIC,
    FACE3APIC,
    FACE3BPIC,
    FACE3CPIC,
    FACE4APIC,
    FACE4BPIC,
    FACE4CPIC,
    FACE5APIC,
    FACE5BPIC,
    FACE5CPIC,
    FACE6APIC,
    FACE6BPIC,
    FACE6CPIC,
    FACE7APIC,
    FACE7BPIC,
    FACE7CPIC,
    FACE8APIC,
    GOTGATLINGPIC,
    MUTANTBJPIC,
    PAUSEDPIC,
    GETPSYCHEDPIC,

    LASTPIC,


    ORDERSCREEN,
    ERRORSCREEN,
    T_HELPART,
    T_DEMO0,
    T_DEMO1,
    T_DEMO2,
    T_DEMO3,
    T_ENDART1,
    T_ENDART2,
    T_ENDART3,
    T_ENDART4,
    T_ENDART5,
    T_ENDART6,
    ENUMEND
} graphicnums;

//
// Data LUMPs
//
#define README_LUMP_START		H_TOPWINDOWPIC
#define README_LUMP_END			H_BOTTOMINFOPIC

#define CONTROLS_LUMP_START		C_OPTIONSPIC
#define CONTROLS_LUMP_END		C_SAVEGAMEPIC

#define LEVELEND_LUMP_START		L_GUYPIC
#define LEVELEND_LUMP_END		L_BJWINSPIC

#define LATCHPICS_LUMP_START		KEY0PIC
#define LATCHPICS_LUMP_END		GETPSYCHEDPIC

#define STARTPICS    3


//
// Amount of each data item
//
#define NUMCHUNKS    ENUMEND
#define NUMFONT      2
#define NUMFONTM     0
#define NUMPICS      (LASTPIC-STARTPICS)
#define NUMPICM      0
#define NUMSPRITES   0
#define NUMTILE8     35
#define NUMTILE8M    0
#define NUMTILE16    0
#define NUMTILE16M   0
#define NUMTILE32    0
#define NUMTILE32M   0
#define NUMEXTERNS   13
//
// File offsets for data items
//
#define STRUCTPIC    0

#define STARTFONT    1
#define STARTFONTM   3
//#define STARTPICS    3
#define STARTPICM    LASTPIC
#define STARTSPRITES LASTPIC
#define STARTTILE8   LASTPIC
#define STARTTILE8M  (LASTPIC+1)
#define STARTTILE16  (LASTPIC+1)
#define STARTTILE16M (LASTPIC+1)
#define STARTTILE32  (LASTPIC+1)
#define STARTTILE32M (LASTPIC+1)
#define STARTEXTERNS (LASTPIC+1)

//
// Thank you for using IGRAB!
//
